net.i2p.router

## Class RouterWatchdog

- java.lang.Object
- - net.i2p.router.RouterWatchdog

- All Implemented Interfaces:
    Runnable

       class RouterWatchdog
      extends Object
      implements Runnable

  Periodically check to make sure things haven't gone totally haywire (and if they have, restart the JVM)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RouterWatchdog(RouterContext ctx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `monitorRouter()`
    `void` | `run()`
    `boolean` | `verifyClientLiveliness()`
    `boolean` | `verifyJobQueueLiveliness()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RouterWatchdog

          public RouterWatchdog(RouterContext ctx)

  - ### Method Detail

    - #### verifyJobQueueLiveliness

          public boolean verifyJobQueueLiveliness()

    - #### verifyClientLiveliness

          public boolean verifyClientLiveliness()

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### monitorRouter

          public void monitorRouter()